#ifndef CROSSROAD_H
#define CROSSROAD_H

#include <utils.h>
#include <map.h>

#define INPUT 1
#define OUTPUT 0

#define MAX_INPUT 4
#define MAX_OUTPUT 4

#define UP 1
#define DOWN 2
#define LEFT 3
#define RIGHT 0

struct crossroad {
	int id;
	Road **output;
	Road **input;
	int output_nb;
	int input_nb;
	int load;
};

Crossroad *new_crossroad();
void free_crossroad(Crossroad *c);
void add_to_crossroad(Crossroad *c, Road *r, int pos, int input);

void *start_crossroad(void *arg);

#endif
